Subject: Re: [PATCH v3 04/13] [POWERPC] Add generic support for simple MPC5200 based boards

From: Marian Balakowicz <[email-masked]>
Date: Fri, 09 Nov 2007 15:43:38 +0100

Hi Grant,

Grant Likely wrote:
> On 11/6/07, Wolfgang Denk <[email-masked]> wrote:
>>
>> in message <[email-masked]> you wrote:
>>> In other words; make the assumption that it is easier to change the
>>> kernel than it is to change the device tree.
>> Are you serious about this?
>>
>> Reading this from someone with your experience with device trees if
>> feeding my worst fears...
> 
> I think I better clarify.
> 
> Once a device tree is written and shipped on a deployed board, it may
> never change again.  Or, the kernel version may be updated more
> frequently than the device tree.
> 
> Say, for example, that in kernel 2.6.25 tqm5200 and cm5200 are both
> handled by the same platform code.  And lets say that in 2.6.26 we
> decide that they really need to have separate platform code (perhaps
> due to a firmware bug that needs to be worked around on one board).
> In this case, "mpc5200-simple-platform" has suddenly become useless.
> Or, does mpc5200-simple-platform now describe the cm5200 or the
> tqm5200?  (an assumption which cannot be made due to deployed boards
> of both types claiming "mpc5200-simple-platform").
> 
> Trying to claim "compatible" at the board level is far more difficult
> than claiming it at the device level.
> 
> Segher suggested on IRC: "for boards it is pretty much useless most of
> the time, i think -- use "model" instead"

I can imagine that we may get into various trouble (or at least the
situation is less flexible) if we are unable to update .dts file along
with the kernel image on a deployed board. If so, then in fact there
is little sens in using "mpc5200-simple-platform" compatible.

But how serious is that, does such situation frequently happen in
field? If we are able to update kernel image than what prevents .dts
file update?

Cheers,
m.